Subject: Re: Add Submodel

From: [email-masked] (Bob Ross)
Date: Mon, 21 Sep 98 14:01:31 PDT

Atul:

I had to think about your question.  My initial intent
was that each submodel be called once.

However, multiple calls of the same model are not prohibited
in the draft specification, and multilple calls are consistent
with how subcircuits or subroutines operate.  So calls to the same
submodel should be allowed for all the cases you show below.

I have comments for each case in your text below.

I have copied this to the IBIS reflector in case there
any concerns or comments on this interpretation.

Best Regards,
Bob Ross

> Date: Sun, 20 Sep 1998 22:23:06 +0000 (GMT)
> From: "APT SOFTWARE AVENUES PVT.LTD" <[email-masked]>
> To: Bob Ross <bobr>
> Subject: Add Submodel

> Hello Bob
> Within an [Add Submodel] there can be repetitions of the same sub model,
> right ?

> [Add Submodel]
> sub1           Driving
> sub1           Non-driving

Could be done more efficiently with one sub1 and the All mode.

> How about
> [Add Submodel]
> sub1           Driving
> sub1           Driving  |  a repetition

This could be used as a simple way of testing a
double strength model sub1 (such as a dynamic clamp
at double strength without creating double strength
IV tables).

> How about
> [Add Submodel]
> sub1           Driving
> sub1           All

Here sub1 is single strength in Non-driving
mode and double strength in the Driving mode.

> (Assume that the model type is appropriate)

> --- atul